Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices
Interface OGCWebServiceResponse

All Known Subinterfaces:
  GetStylesResult, PutStylesResult

All Known Implementing Classes:
  DefaultOGCWebServiceResponse, DescribeLayerResult, DescribePlatformResult, DescribeRecordResult, DescribeSensorResult, DescribeTemplateResponseDocument, DomainResult, FeatureResult, FeatureWithLockResult, GetAvailableTemplatesResponseDocument, GetFeatureInfoResult, GetLegendGraphicResult, GetMapResult, GetObservationResult, GetRecordByIdResult, GetRecordsResult, GmlResult, HarvestResult, LockFeatureResponse, PrintMapResponseDocument, TransactionResponse, TransactionResult, WMPSGetCapabilitiesResult, WMSGetCapabilitiesResult

    public interface OGCWebServiceResponse

This is the base interface for all responses to OGC Web Services (OWS) requests. Each class that capsulates a response within an OWS has to implement this interface.

Version:
  2002-03-01
Author:
  Andreas Poth

Method Summary
`OGCWebServiceException` | `getException()` returns an XML encoding of the exception that raised.
`OGCWebServiceRequest` | `getRequest()` returns the request that causes the response.

Method Detail

### getRequest

    OGCWebServiceRequest getRequest()

  returns the request that causes the response.

### getException

    OGCWebServiceException getException()

  returns an XML encoding of the exception that raised. If no exception raised `null` will be returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org